# class RSS::XMLParserParser

### Public Class Methods

listener() click to toggle source

    # File lib/rss/xmlparser.rb, line 65
    def listener
      XMLParserListener
    end

### Private Instance Methods

_parse() click to toggle source

    # File lib/rss/xmlparser.rb, line 71
    def _parse
      begin
        parser = REXMLLikeXMLParser.new
        parser.listener = @listener
        parser.parse(@rss)
      rescue ::XML::Parser::Error => e
        raise NotWellFormedError.new(parser.line){e.message}
      end
    end